跳到內容

嘉賓的報名及其 QR Code(來自電子郵件中的連結)

POST
/v1/registrations/view
curl --request POST \
--url https://api.vimine.network/v1/registrations/view \
--header 'Content-Type: application/json' \
--data '{ "token": "example" }'

讀取嘉賓在名額確認後收到的連結中的權杖所指向的報名:其 status,以及在已確認期間用於入場時出示的 QR Code token。不做任何更改。連結在活動結束之前一直有效——即活動結束後 12 小時;沒有結束時間的活動,則為開始後一天——以使用連結時活動的實際安排為準,因此活動改期後連結依然有效。已取消或已退款的報名只傳回其狀態,不含 QR Code。當事人的 note 絕不包含在此回應中。

locale

讀取協會文案所用的語言(it、en)。預設依次為:會員自己的語言(使用會員權杖時)、Accept-Language、協會的語言。協會為其啟用的某種語言撰寫了譯文時,每段文字使用該譯文,否則使用其義大利語文字:回應中的 locale 說明標題實際傳回的是哪種語言,locales 說明存在哪些語言版本。不支援的值會被忽略

string
媒體類型application/json
object
token
必填
string
範例自動產生
{
"token": "example"
}

該報名

媒體類型application/json
object
id
string 格式: uuid
status
string
允許的值: reserved confirmed cancelled refunded
event
object
id
string
slug
string
title
string
starts_at
string 格式: date-time
ends_at
string 格式: date-time
可為 null
timezone
string
status
string
location
string
可為 null
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string 格式: date-time
可為 null
checked_in_at
string 格式: date-time
可為 null
cancelled_at
string 格式: date-time
可為 null
cancel_reason
string
可為 null
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string 格式: date-time
payment_instructions

保留期間如何繳納參與費

string
可為 null
note

當事人填寫的自由文字。協會聲明其處理特殊類別資料時,不提供給第三方用戶端(null)

string
可為 null
created_at
string 格式: date-time
token

報名的 QR Code 內容(vmt_…),僅限已確認的報名

string
可為 null
範例
{
"status": "reserved"
}

連結無效或已過期(invalid_token)

找不到

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

超出速率限制

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

內部錯誤

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}